Subject: Re: Fw: bug in texi2dvi, and hack patch
From: [email-masked] (Karl Berry)
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 10 Feb 2005 20:43:49 -0500

Back on this thread about texi2dvi and cygwin from a couple weeks ago.

    2) On cygwin, if both $dir/tex.exe exists and a directory $dir/tex/ exist,
    this function misses the existence of tex.exe.

I don't see why the presence of $dir/tex would affect things.
tex.exe would never be found on cygwin with the present code, as I
understand it.

So I added an explicit check for foo.exe, for Cygwin's sake.  test -x
will work, right?  (If a Unix system has an executable foo.exe in PATH
first, they deserve what they get, IMO.)

I do not want to autoconfiscate texi2dvi, nor do I think it's necessary.

If you feel like testing, you can get the current version from texinfo
cvs at savannah.gnu.org, namely:
http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/texinfo/texinfo/util/texi2dvi?rev=HEAD&content-type=text/plain

Thanks,
karl

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/